--- !ruby/object:RI::MethodDescription 
aliases: []

block_params: 
comment: 
- !ruby/struct:SM::Flow::P 
  body: Begin the transaction
- !ruby/struct:SM::Flow::P 
  body: "Before #begin is called, the transaction is not valid and can not be used."
- !ruby/struct:SM::Flow::P 
  body: "@api private"
full_name: DataMapper::Transaction#begin
is_singleton: false
name: begin
params: ()
visibility: public
